/* tslint:disable */
import { readFileSync } from 'fs';
import * as ts from 'typescript';


function syntaxKindToName(kind: ts.SyntaxKind) {
    return (<any>ts).SyntaxKind[kind];
}

function printAllChildren(node: ts.Node, depth = 0): void {
    console.log(new Array(depth + 1).join('----'), syntaxKindToName(node.kind), node.pos, node.end);
    depth++;
    node.getChildren().forEach(c => printAllChildren(c, depth));
}

const fileNames = process.argv.slice(2);
fileNames.forEach(fileName => {
    let sourceFile = ts.createSourceFile(fileName, readFileSync(fileName).toString(), ts.ScriptTarget.ES6, /*setParentNodes */ true);
    printAllChildren(sourceFile);
});

